#!/usr/bin/env perl

use 5.14.2;
use warnings;
use strict;

use Zonemaster::Backend::DB;
use Zonemaster::Backend::Config;
use Zonemaster::Backend::RedisQueue;

my $config = Zonemaster::Backend::Config->load_config();
my $dbtype = $config->DB_engine;
my $dbclass = Zonemaster::Backend::DB->get_db_class( $dbtype );
my $db = $dbclass->from_config( $config );

my $queue = Zonemaster::Backend::RedisQueue->new( dbh => $db->dbh );

my $batch_id = $db->dbh->selectrow_arrayref(
    'SELECT max( id ) FROM batch_jobs'
);

$batch_id = $$batch_id[0];


my $queued_jobs_count = $queue->queue_batch_job($batch_id);

print "Queued $queued_jobs_count jobs";
